package org.jeecg.modules.ctop.service.impl;

import cn.com.ctop.performanceappraisal.service.IPerformanceService;
import org.jeecg.common.util.DateUtils;
import org.jeecg.modules.ctop.entity.Advertiser;
import org.jeecg.modules.ctop.service.IAdvertiserService;
import org.jeecg.modules.ctop.service.PerformanceAreaService;
import org.jeecg.modules.system.entity.SysUser;
import org.jeecg.modules.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class PerformanceAreaServiceImpl implements PerformanceAreaService {

    @Autowired
    private ISysUserService sysUserService;
    @Autowired
    private IPerformanceService performanceService;

    @Override
    public void loadSalsePerformance() {
        //1:获取销售列表
        List<SysUser> sales = sysUserService.getUserListByRoleId("75ee837e6f3de29c0e3ed75d4629438e");
        //2:获取销售AM列表
        List<SysUser> saleAms = sysUserService.getUserListByRoleId("f5a68aa2acf86e842100f0fa4b050d28");
    }

    public void countPerformance(SysUser user) {
        Date getDate = DateUtils.addDay(new Date(), -1);
        String startDate = DateUtils.getQuarterStartDate(getDate);
        String endDate = DateUtils.getQuarterEndDate(getDate);
        //1:获取快手季度总消耗
        BigDecimal kuaishouDoSeasonTask = performanceService.getKuaishouSeasonTotalCost(startDate, endDate);
        //2:获取快手个人季度总消耗
        BigDecimal kuaishouDoPersonnalTask = performanceService.getKuaishouSalesSeasonTotalCost(startDate, endDate, user.getId());
        //1:获取头条季度总消耗
        BigDecimal bytedanceDoSeasonTask = performanceService.getBytedanceSeasonTotalCost(startDate, endDate);
        //2:获取头条个人季度总消耗
        BigDecimal bytedanceDoPersonnalTask = performanceService.getBytedanceSalesSeasonTotalCost(startDate, endDate, user.getId());
        //获取销售所属的广告主信息
        List<Advertiser> advertiserList = advertiserService.getBySaleId(user.getId());

        if (null != advertiserList && advertiserList.size() > 0) {
            for (Advertiser advertiser : advertiserList) {
                Date endODate = DateUtils.addDay(advertiser.getCreateTime(), 90);
                if (1 == 1) {

                } else {

                }
            }
        }
    }

    @Autowired
    private IAdvertiserService advertiserService;
}
